Accept Dispute

Merchants can call this endpoint to accept a dispute case. The endpoint only works if the dispute is in a non-terminal state (the status is not `won` or `lost`). <Note>Calling the API changes the dispute status to lost.</Note>

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

dispute_idstringRequired

Headers

User-AgentstringOptional
AcceptstringOptional

application/json

Query parameters

undefinedstringOptional

Response

If successful, returns the updated dispute object.
idstring
Dispute identifier
orderstring
The token of the order that the dispute is for.
amountstring
The amount of the dispute
currencystring
The ISO 4217 currency code of the dispute.
reasonenum
The reason for the dispute.
statusenum
The current state of the dispute. Values depend on how the dispute state machine is modeled.
openbooleanDefaults to true

True if a final decision on the dispute hasn’t been made yet.

responseDueByinteger

Deadline by which the merchant must respond to the dispute. (Epoch timestamp in seconds, timezone UTC +0.00)

createdAtinteger

A timestamp indicating when the dispute was created. (Epoch timestamp in seconds, timezone UTC +0.00)

openingNotestring

Text from the customer describing why the dispute was opened or the reason for the complaint. While dispute category codes are helpful at informing what a merchant should present, it doesn’t provide reasoning behind the customer’s complaint. In some cases, this can help merchants troubleshoot the dispute directly with their customers.

openingNoteAttachmentslist of stringsOptional

Attachments to supplement the openingNote if the customer provided photos or screenshots as part of their dispute description.

updatedAtintegerOptional

Timestamp when the dispute was updated. (Epoch timestamp in seconds, timezone UTC +0.00)

closingReasonenumOptional
A reason indicating how the final decision on the dispute was reached. Recommended possible values listed in Closing Reasons.
closingNotestringOptional

Text describing in detail how the final decision on the dispute was reached. This supplements the closingReason.

merchantOrderIdstringOptional
The identifier for the transaction on the merchant side.
transactionDateintegerOptional

The timestamp of the order created by the customer. (Epoch timestamp in seconds, timezone UTC +0.00)

settlementAmountstringOptional
The settlementAmount for audit usage.
partialRefundAmountstringOptional
The amount partially refunded for the disputed order, if applicable.
metaobjectOptional
The extra information for merchants to match payment.